Download it now!
Bug 123106 - FILESAVE PPTX Shape changes its color back to default
Summary: FILESAVE PPTX Shape changes its color back to default
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.5, target:6.3.0
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: OOXML-Object-Fill OOXML-Shapes
  Show dependency treegraph
 
Reported: 2019-02-01 10:39 UTC by NISZ LibreOffice Team
Modified: 2019-05-22 11:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file (469.16 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-02-01 10:39 UTC, NISZ LibreOffice Team
Details
The saved file. (52.19 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-02-01 10:40 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Impress. (406.60 KB, image/png)
2019-02-01 10:40 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-01 10:39:11 UTC
Description:
When the attached original file gets saved in LO as pptx the shapes changes their color to blue.

Steps to Reproduce:
    1. Open the attached original file in LO.
    2. Save it as pptx.
    3. Reload.
    4. Notice the changes.

Actual Results:
The shape’s color is blue.

Expected Results:
The shape’s color should stay orange.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2019-02-01 10:39:43 UTC
Created attachment 148834 [details]
The original file
Comment 2 NISZ LibreOffice Team 2019-02-01 10:40:01 UTC
Created attachment 148835 [details]
The saved file.
Comment 3 NISZ LibreOffice Team 2019-02-01 10:40:27 UTC
Created attachment 148836 [details]
Screenshot of the original and exported document side by side in Impress.
Comment 4 Durgapriyanka 2019-02-01 17:44:23 UTC
Thank you for reporting the bug. I confirm the bug in

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 5 Buovjaga 2019-02-10 19:09:59 UTC
Bibisected with 43max to https://gerrit.libreoffice.org/plugins/gitiles/core/+/2fcf3a871c94feeca11619ef5c8c0466ce61eb74%5E!/

ooxml: preserve gradient shape fill

Adding Cc: to Jacobo Aragunde Pérez
Comment 7 Xisco Faulí 2019-05-21 11:55:20 UTC
Cherry-picked to 6-2 branch: https://gerrit.libreoffice.org/#/c/72681/
Comment 8 Commit Notification 2019-05-22 10:31:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/2045a84c9fa89fdd1a59807ddfae17d95fe4256c%5E%21

tdf#123106: oox: disable gradient fill grab-bag for PPTX

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.